#ifndef DISPLAY_H
#define DISPLAY_H

#include "ViewerGlobals.h"

class Display
{
public:
  static inline int width() { init(); return theWidth; }
  static inline int height() { init(); return theHeight; }
  static RotationMode rotation() { init(); return theRotation; }

private:
  static int theWidth;
  static int theHeight;
  static RotationMode theRotation;
  static bool initialized;
  
  static void init();
};

#endif